### Method

# GIRepository ObjectInfo get_interface

since: 2.80

#### Declaration

    GIInterfaceInfo*
    gi_object_info_get_interface (
      GIObjectInfo* info,
      unsigned int n
    )

#### Description

Obtain an object type interface at index `n`.

Available since: 2.80

#### Parameters

`n`

  Type: `unsigned int`

  Index of interface to get.

#### Return value

Type: `GIInterfaceInfo`

The `GIInterfaceInfo`. Free the struct by calling `gi_base_info_unref()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.